POST V1/ProAdminAccountReceivables.{ext}/UpdateInvoiceTemplate

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.ProAdmin.Entities.AccountReceivableEntityems
NameDescriptionTypeAdditional information
Action

No description available

string

None.

_TEMPNAME

No description available

string

None.

_PRODUCTID

No description available

string

None.

_PARTNERID

No description available

string

None.

_CLIENTID

No description available

string

None.

STATUS

No description available

string

None.

_COMMENTS

No description available

string

None.

_CONTACTPERSON

No description available

string

None.

_ADDRESS1

No description available

string

None.

_ADDRESS2

No description available

string

None.

EMAIL

No description available

string

None.

_PHONE

No description available

string

None.

_STATE

No description available

string

None.

_CITY

No description available

string

None.

_COUNTRY

No description available

string

None.

_ZIP

No description available

string

None.

_isDiscountExist

No description available

string

None.

_DISCOUNTTYPE

No description available

string

None.

_DISCOUNTAMOUNT

No description available

string

None.

_PAYEENAME

No description available

string

None.

_Payment_Terms

No description available

string

None.

_ERROR

No description available

string

None.

_TEMPLATEID

No description available

string

None.

BillingElementEntityEMSList

No description available

Collection of EMS.ProAdmin.Entities.BillingElementEntityEMS

None.

Request Formats

application/json, text/json

Sample:
{
  "action": "sample string 1",
  "_TEMPNAME": "sample string 2",
  "_PRODUCTID": "sample string 3",
  "_PARTNERID": "sample string 4",
  "_CLIENTID": "sample string 5",
  "status": "sample string 6",
  "_COMMENTS": "sample string 7",
  "_CONTACTPERSON": "sample string 8",
  "_ADDRESS1": "sample string 9",
  "_ADDRESS2": "sample string 10",
  "email": "sample string 11",
  "_PHONE": "sample string 12",
  "_STATE": "sample string 13",
  "_CITY": "sample string 14",
  "_COUNTRY": "sample string 15",
  "_ZIP": "sample string 16",
  "_isDiscountExist": "sample string 17",
  "_DISCOUNTTYPE": "sample string 18",
  "_DISCOUNTAMOUNT": "sample string 19",
  "_PAYEENAME": "sample string 20",
  "_Payment_Terms": "sample string 21",
  "_ERROR": "sample string 22",
  "_TEMPLATEID": "sample string 23",
  "billingElementEntityEMSList": [
    {
      "bE_ID": "sample string 1",
      "bE_NAME": "sample string 2",
      "bE_TYPE": "sample string 3",
      "bE_TRANS_TYPE": "sample string 4",
      "bE_Trans_Type_Idfr": "sample string 5",
      "bE_Description": "sample string 6",
      "rate": "sample string 7",
      "unrate": "sample string 8",
      "bE_Comments": "sample string 9",
      "estmtamt": "sample string 10"
    },
    {
      "bE_ID": "sample string 1",
      "bE_NAME": "sample string 2",
      "bE_TYPE": "sample string 3",
      "bE_TRANS_TYPE": "sample string 4",
      "bE_Trans_Type_Idfr": "sample string 5",
      "bE_Description": "sample string 6",
      "rate": "sample string 7",
      "unrate": "sample string 8",
      "bE_Comments": "sample string 9",
      "estmtamt": "sample string 10"
    }
  ]
}

application/xml, text/xml

Sample:
<AccountReceivableEntityems xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.ProAdmin.Entities">
  <Action>sample string 1</Action>
  <BillingElementEntityEMSList>
    <BillingElementEntityEMS>
      <BE_Comments>sample string 9</BE_Comments>
      <BE_Description>sample string 6</BE_Description>
      <BE_ID>sample string 1</BE_ID>
      <BE_Trans_Type_Idfr>sample string 5</BE_Trans_Type_Idfr>
      <ESTMTAMT>sample string 10</ESTMTAMT>
      <RATE>sample string 7</RATE>
      <UNRATE>sample string 8</UNRATE>
      <bE_NAME>sample string 2</bE_NAME>
      <bE_TRANS_TYPE>sample string 4</bE_TRANS_TYPE>
      <bE_TYPE>sample string 3</bE_TYPE>
    </BillingElementEntityEMS>
    <BillingElementEntityEMS>
      <BE_Comments>sample string 9</BE_Comments>
      <BE_Description>sample string 6</BE_Description>
      <BE_ID>sample string 1</BE_ID>
      <BE_Trans_Type_Idfr>sample string 5</BE_Trans_Type_Idfr>
      <ESTMTAMT>sample string 10</ESTMTAMT>
      <RATE>sample string 7</RATE>
      <UNRATE>sample string 8</UNRATE>
      <bE_NAME>sample string 2</bE_NAME>
      <bE_TRANS_TYPE>sample string 4</bE_TRANS_TYPE>
      <bE_TYPE>sample string 3</bE_TYPE>
    </BillingElementEntityEMS>
  </BillingElementEntityEMSList>
  <EMAIL>sample string 11</EMAIL>
  <STATUS>sample string 6</STATUS>
  <_ADDRESS1>sample string 9</_ADDRESS1>
  <_ADDRESS2>sample string 10</_ADDRESS2>
  <_CITY>sample string 14</_CITY>
  <_CLIENTID>sample string 5</_CLIENTID>
  <_COMMENTS>sample string 7</_COMMENTS>
  <_CONTACTPERSON>sample string 8</_CONTACTPERSON>
  <_COUNTRY>sample string 15</_COUNTRY>
  <_DISCOUNTAMOUNT>sample string 19</_DISCOUNTAMOUNT>
  <_DISCOUNTTYPE>sample string 18</_DISCOUNTTYPE>
  <_ERROR>sample string 22</_ERROR>
  <_PARTNERID>sample string 4</_PARTNERID>
  <_PAYEENAME>sample string 20</_PAYEENAME>
  <_PHONE>sample string 12</_PHONE>
  <_PRODUCTID>sample string 3</_PRODUCTID>
  <_Payment_Terms>sample string 21</_Payment_Terms>
  <_STATE>sample string 13</_STATE>
  <_TEMPLATEID>sample string 23</_TEMPLATEID>
  <_TEMPNAME>sample string 2</_TEMPNAME>
  <_ZIP>sample string 16</_ZIP>
  <_isDiscountExist>sample string 17</_isDiscountExist>
</AccountReceivableEntityems>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfSystem.Object
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

Object

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "Object",
  "response": {},
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.